Runtime

## org.eclipse.gmf.runtime.draw2d.ui.render
Interface RenderInfo

    public interface RenderInfo

Method Summary
`RGB` `getBackgroundColor()` Accessor method to return the fill color of the rendered image.
`RGB` `getForegroundColor()` Accessor method to return the outline color of the rendered image.
`int` `getHeight()` Accessor method to return the height of the rendered image.
`int` `getWidth()` Accessor method to return the width of the rendered image.
`void` `setValues(int width, int height, boolean maintainAspectRatio, boolean antialias, RGB background, RGB foreground)` Generic setter to set values in the RenderInfo data structure.
`boolean` `shouldAntiAlias()` Accessor method to return whether or not the vector data is anti-aliased.
`boolean` `shouldMaintainAspectRatio()` Accessor method to return whether or not the aspect ratio is maintained.

Method Detail

### getWidth

    int getWidth()

  Accessor method to return the width of the rendered image.

  Returns:
    the width of the rendered image.

### getHeight

    int getHeight()

  Accessor method to return the height of the rendered image.

  Returns:
    the height of the rendered image.

### getBackgroundColor

    RGB getBackgroundColor()

  Accessor method to return the fill color of the rendered image.

  Returns:
    `RGB` value that is the fill color of the rendered image. Note: a `null` return value is valid and means that the fill color defaults to the values stored in the vector graphics file.

### getForegroundColor

    RGB getForegroundColor()

  Accessor method to return the outline color of the rendered image.

  Returns:
    `RGB` value that is the outline color of the rendered image. Note: a `null` return value is valid and means that the outline color defaults to the values stored in the vector graphics file.

### shouldMaintainAspectRatio

    boolean shouldMaintainAspectRatio()

  Accessor method to return whether or not the aspect ratio is maintained.

  Returns:
    `boolean` `true` if aspect ratio of original vector file is maintained, `false` otherwise.

### shouldAntiAlias

    boolean shouldAntiAlias()

  Accessor method to return whether or not the vector data is anti-aliased.

  Returns:
    `boolean` `true` if vector graphic is to be rendered wih anti-aliasing, `false` otherwise.

### setValues

    void setValues(int width,
                   int height,
                   boolean maintainAspectRatio,
                   boolean antialias,
                   RGB background,
                   RGB foreground)

  Generic setter to set values in the RenderInfo data structure. This is useful when retrieving a RenderInfo structure from a RenderedImage object and then wishing to re-render the image with new values.

  Parameters:
    `width` - the width of the rendered image to set
    `height` - the height of the rendered image to set
    `maintainAspectRatio` - `boolean` `true` if aspect ratio of original vector file is maintained, `false` otherwise
    `antialias` - `boolean` `true` if vector graphic is to be rendered wih anti-aliasing, `false` otherwise.
    `background` - `Color` fill color for the whole image: null value defaults to stored values for each element in the vector file.
    `outline` - `Color` outline color for the whole image: null value defaults to stored foreground for each element in the vector file.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.